## pyexcel 0.5.14

=== Makefile ===
all: test

test:
	bash test.sh

doc:
	bash document.sh

uml:
	plantuml -tsvg -o ../_static/images/ docs/source/uml/*.uml

format:
	isort -y $(find pyexcel -name "*.py"|xargs echo) $(find tests -name "*.py"|xargs echo)
	black -l 79 pyexcel
	black -l 79 tests
	black -l 79 setup.py
lint:
	bash lint.sh

=== requirements.txt ===
lml>=0.0.4
pyexcel-io>=0.5.18
texttable>=0.8.1;python_version<"3"
texttable>=0.8.2;python_version>="3"
ordereddict;python_version<"2.7"
weakrefset;python_version<"2.7"
lxml>=3.4.4;platform_python_implementation=="PyPy"

=== tests/requirements.txt ===
nose
mock;python_version<"3"
codecov
coverage
flake8
SQLAlchemy
flask
lxml==4.0.0;platform_python_implementation=="PyPy"
pyexcel-xlsx>=0.4.1
pyexcel-xls>=0.4.1
pyexcel-text>=0.2.0
psutil
mock
moban
black;python_version>="3.6"
isort;python_version>="3.6"

=== .moban.d/tests/requirements.txt ===
{% extends 'tests/requirements.txt.jj2' %}
{%block extras %}
SQLAlchemy
flask
lxml==4.0.0;platform_python_implementation=="PyPy"
pyexcel-xlsx>=0.4.1
pyexcel-xls>=0.4.1
pyexcel-text>=0.2.0
psutil
mock
moban
black;python_version>="3.6"
isort;python_version>="3.6"
{%endblock%}

=== debian/changelog ===
pyexcel (0.5.14-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:18:26 +0200

pyexcel (0.5.14-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Remove Python 2 module
  * Bump Standards-Version to 4.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Jan 2020 16:11:49 +0100

pyexcel (0.5.14-0kali2) kali-dev; urgency=medium

  * Run the tests during the build

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Jul 2019 10:25:31 +0200

pyexcel (0.5.14-0kali1) kali-dev; urgency=medium

  * New upstream version 0.5.14
  * Remove useless patches
  * Build python3 package
  * Fix doc build
  * Update dependencies
  * Add a patch to fix typo

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 10 Jul 2019 15:19:27 +0200

pyexcel (0.2.1-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * Update fix-for-io.patch
  * Add missing dependencies
  * Use debhelper-compat 12
  * Bump Standards Version to 4.3.0
  * Add debian/gbp.conf

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Jun 2019 15:43:37 +0200

pyexcel (0.2.1-0kali2) kali-dev; urgency=medium

  * Add missing doc README.rst

 -- Sophie Brun <sophie@freexian.com>  Tue, 29 Aug 2017 12:13:17 +0200

pyexcel (0.2.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Mon, 28 Aug 2017 14:03:33 +0200

=== debian/control ===
Source: pyexcel
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-flask,
               python3-mock,
               python3-nose,
               python3-psutil,
               python3-pyexcel-io,
               python3-pyexcel-text,
               python3-pyexcel-xls,
               python3-pyexcel-xlsx,
               python3-setuptools,
               python3-sphinx,
               python3-sqlalchemy,
               python3-texttable
Standards-Version: 4.4.1
Homepage: https://github.com/pyexcel/pyexcel
Testsuite: autopkgtest-pkg-python

Package: python3-pyexcel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-pyexcel-doc
Description: Single API for reading, manipulating and writing data (Python 3)
 This package contains a Python Wrapper that provides single API for reading,
 manipulating and writing data in csv, ods, xls, xlsx and xlsm files.
 .
 This package installs the library for Python 3.

Package: python-pyexcel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Single API for reading, manipulating and writing data (common documentation)
 This package contains a Python Wrapper that provides single API for reading,
 manipulating and writing data in csv, ods, xls, xlsx and xlsm files.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyexcel
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples {build_dir}/*.xls

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/source build/man # Manpage generator

## pyexcel 0.7.0

=== requirements.txt ===
chardet
lml>=0.0.4
pyexcel-io>=0.6.2
texttable>=0.8.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyexcel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyexcel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyexcel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyexcel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
https://github.com/pyexcel/pyexcel-pygal/archive/master.zip
https://github.com/pyexcel/sphinxcontrib-excel/archive/master.zip
sphinx-copybutton

=== tests/requirements.txt ===
nose
mock;python_version<"3"
codecov
coverage
flake8
black
isort
collective.checkdocs
pygments
moban
moban_jinja2_github
flask
SQLAlchemy
pyexcel-xlsx>=0.4.1
pyexcel-xls<=0.6.2
pyexcel-text>=0.2.0
psutil
pyexcel-pygal

=== debian/changelog ===
pyexcel (0.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.7.0
  * Drop fix-typo patch (doesn't apply)
  * Refresh patches
  * Update copyright years
  * Update Build-Depends
  * Bump debhelper-compat
  * Use execute_after in debian/rules
  * Use description_file instead of description-file
  * Tighten dependency for pyexcel-xls
  * Disable building the documentation

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 23 Aug 2024 22:39:17 +0700

pyexcel (0.5.14-0kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Ben Wilson ]
  * Update email address
  * Update email address
  * Add Uploaders

  [ Steev Klimaszewski ]
  * Add lintian overrides
  * Add patch for spinx-doc api deprecation.
  * Update standards version to 4.6.2, no changes needed.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 14 Nov 2023 13:36:30 -0600

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,32 @@
 Source: pyexcel
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-flask,
-               python3-mock,
-               python3-nose,
-               python3-psutil,
-               python3-pyexcel-io,
+               python3-chardet,
+               python3-flask <!nocheck>,
+               python3-lml,
+               python3-mock <!nocheck>,
+               python3-nose <!nocheck>,
+               python3-psutil <!nocheck>,
+               python3-pyexcel-io (>= 0.6.2),
                python3-pyexcel-text,
-               python3-pyexcel-xls,
+               python3-pyexcel-xls (>= 0.7.0-0kali2),
                python3-pyexcel-xlsx,
                python3-setuptools,
                python3-sphinx,
+# To build the doc, but for now it's broken:
+#               python3-sphinx-copybutton,
+#               python3-sphinxcontrib.excel,
                python3-sqlalchemy,
                python3-texttable
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pyexcel/pyexcel
+Vcs-Git: https://gitlab.com/kalilinux/packages/pyexcel.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/pyexcel
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pyexcel

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,5 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/source build/man # Manpage generator
+#execute_after_dh_auto_build:
+#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/source build/man # Manpage generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pyexcel-$1.tar.gz%" \
   https://github.com/pyexcel/pyexcel/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
